package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;
import com.hzya.frame.mdm.mdmModuleView.entity.MdmModuleViewEntity;

import java.util.List;

public class MdmDetailViewVo {
    //模版信息
    private MdmModuleEntity mdmModuleEntity;
    //主数据主表
    private MdmModuleDbEntity mainMdmModuleDb;
    //主数据子表
    private List<MdmModuleDbEntity> sublistMdmModuleDb;

    public MdmModuleEntity getMdmModuleEntity() {
        return mdmModuleEntity;
    }

    public void setMdmModuleEntity(MdmModuleEntity mdmModuleEntity) {
        this.mdmModuleEntity = mdmModuleEntity;
    }

    public MdmModuleDbEntity getMainMdmModuleDb() {
        return mainMdmModuleDb;
    }

    public void setMainMdmModuleDb(MdmModuleDbEntity mainMdmModuleDb) {
        this.mainMdmModuleDb = mainMdmModuleDb;
    }

    public List<MdmModuleDbEntity> getSublistMdmModuleDb() {
        return sublistMdmModuleDb;
    }

    public void setSublistMdmModuleDb(List<MdmModuleDbEntity> sublistMdmModuleDb) {
        this.sublistMdmModuleDb = sublistMdmModuleDb;
    }
}

